gnutls_certificate_set_x509_crl_file(3)

NAME
gnutls_certificate_set_x509_crl_file - Used to add CRLs in a gnutls_certificate_credentials_t structure

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_certificate_set_x509_crl_file(gnutls_certificate_credentials_t res, const char * crlfile, gnutls_x509_crt_fmt_t type);

ARGUMENTS

gnutls_certificate_credentials_t res
    is a gnutls_certificate_credentials_t structure.

const char * crlfile
    is a file containing the list of verified CRLs (DER or PEM list)

gnutls_x509_crt_fmt_t type
    is PEM or DER

DESCRIPTION
This function adds the trusted CRLs in order to verify client or server certificates. In case of a client this is not required to be called if the certificates are not verified using gnutls_certificate_verify_peers2(). This function may be called multiple times.

RETURNS
number of CRLs processed or a negative value on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.